### Method

# GObject Value set_interned_string

since: 2.66

#### Declaration

    void
    g_value_set_interned_string (
      GValue* value,
      const gchar* v_string
    )

#### Description

Set the contents of a `G_TYPE_STRING` `GValue` to `v_string`. The string is assumed to be static and interned (canonical, for example from g_intern_string()), and is thus not duplicated when setting the `GValue`.

Available since: 2.66

#### Parameters

`v_string`

  Type: `const gchar*`

  Static string to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.